/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "PDK API Guide for AM65xx", "index.html", [
    [ "PDK API Guide", "index.html", null ],
    [ "Enet Integration Guide", "enet_integration_guide_top.html", [
      [ "Getting Familiar with Enet LLD APIs", "enet_integration_guide_top.html#GettingFamiliarWithAPIs", [
        [ "IOCTL Interface", "enet_integration_guide_top.html#IOCTL_description", null ]
      ] ],
      [ "Integrating Enet LLD into User's Application", "enet_integration_guide_top.html#enet_integration_in_app", [
        [ "Init Sequence", "enet_integration_guide_top.html#enet_init_sequence", null ],
        [ "Peripheral Open Sequence", "enet_integration_guide_top.html#enet_open_sequence", null ],
        [ "Port Open Sequence", "enet_integration_guide_top.html#enet_openport_sequence", null ],
        [ "Packet Send/Receive Sequence", "enet_integration_guide_top.html#enet_pktrxtx_sequence", null ],
        [ "Packet Timestamping Sequence", "enet_integration_guide_top.html#enet_pktts_sequence", null ],
        [ "IOCTL Sequence", "enet_integration_guide_top.html#enet_ioctl_sequence", null ],
        [ "Port Close Sequence", "enet_integration_guide_top.html#enet_closeport_sequence", null ],
        [ "Peripheral Close Sequence", "enet_integration_guide_top.html#enet_close_sequence", null ],
        [ "Deinit Sequence", "enet_integration_guide_top.html#enet_deinit_sequence", null ],
        [ "Peripheral-specific", "enet_integration_guide_top.html#enetper_specific_handling", [
          [ "ICSSG Dual-MAC", "enet_integration_guide_top.html#enetper_icssg_dmac_specific_handling", [
            [ "Firmware", "enet_integration_guide_top.html#enetper_icssg_dmac_fw_specific_handling", null ],
            [ "Firmware Memory Pools", "enet_integration_guide_top.html#enetper_icssg_dmac_fwmem_specific_handling", null ]
          ] ],
          [ "ICSSG Switch", "enet_integration_guide_top.html#enetper_icssg_swt_specific_handling", [
            [ "Firmware", "enet_integration_guide_top.html#enetper_icssg_swt_fw_specific_handling", null ],
            [ "Firmware Memory Pools", "enet_integration_guide_top.html#enetper_icssg_swt_fwmem_specific_handling", null ]
          ] ]
        ] ]
      ] ],
      [ "Migrating from EMAC LLD", "enet_integration_guide_top.html#emac_lld_migration", [
        [ "ICSSG Migration", "enet_integration_guide_top.html#emac_lld_migration_icssg", [
          [ "Peripheral open", "enet_integration_guide_top.html#emac_lld_migration_icssg_per_open", null ],
          [ "IOCTLs", "enet_integration_guide_top.html#emac_lld_migration_icssg_ioctl", [
            [ "Asynchronous IOCTLs", "enet_integration_guide_top.html#emac_lld_migration_icssg_async_ioctl", null ],
            [ "IOCTL Command Mappings", "enet_integration_guide_top.html#emac_lld_migration_icssg_ioctl_mappings", null ]
          ] ],
          [ "Packet send and receive", "enet_integration_guide_top.html#emac_lld_migration_icssg_dma", null ]
        ] ]
      ] ]
    ] ],
    [ "Enet LLD IOCTL interface", "enet_ioctl_interface.html", [
      [ "Introduction", "enet_ioctl_interface.html#enet_ioctl_intro", [
        [ "Using the IOCTL interface", "enet_ioctl_interface.html#using_enet_ioctl", null ],
        [ "Synchronous and Asynchronous IOCTLs", "enet_ioctl_interface.html#enet_async_ioctl", null ]
      ] ]
    ] ],
    [ "Enet LLD Introduction", "enetlld_top.html", [
      [ "Introduction", "enetlld_top.html#enetlld_intro", null ],
      [ "Application Programming Interface", "enetlld_top.html#enetlld_api_overview", null ],
      [ "Enet Peripherals", "enetlld_top.html#enetlld_enetpers", [
        [ "CPSW Peripheral", "enetlld_top.html#enetper_cpsw", [
          [ "CPSW as a replacement to External Switch", "enetlld_top.html#cpsw_external_switch_replacement", null ]
        ] ],
        [ "ICSSG Peripheral", "enetlld_top.html#enetper_icssg", [
          [ "ICSSG Dual-MAC", "enetlld_top.html#enetper_icssg_dualmac", null ],
          [ "ICSSG Switch Mode", "enetlld_top.html#enetper_icssg_switch", null ]
        ] ]
      ] ],
      [ "Integration", "enetlld_top.html#enetlld_integration", null ],
      [ "Document Revision History", "enetlld_top.html#enetlld_hist", null ]
    ] ],
    [ "Ethernet PHY Integration Guide", "enetphy_guide_top.html", [
      [ "Introduction", "enetphy_guide_top.html#enetphy_guide_intro", null ],
      [ "PHY Driver", "enetphy_guide_top.html#enetphy_guide_driver", [
        [ "Device-Specific Drivers", "enetphy_guide_top.html#enetphy_guide_device_specific", null ],
        [ "PHY to Driver Binding", "enetphy_guide_top.html#enetphy_guide_binding", null ]
      ] ],
      [ "Implementing a New PHY Driver", "enetphy_guide_top.html#enetphy_guide_implementing", null ],
      [ "Appendix", "enetphy_guide_top.html#enetphy_guide_appendix", [
        [ "Appendix A", "enetphy_guide_top.html#enetphy_guide_appendix_a", null ]
      ] ]
    ] ],
    [ "Ethernet PHY Link Configuration", "enetphy_link_config_top.html", [
      [ "Link Configuration Guidelines", "enetphy_link_config_top.html#enetphy_link_config_guidelines", [
        [ "Manual Mode", "enetphy_link_config_top.html#enetphy_link_manual", [
          [ "Half-Duplex Mode", "enetphy_link_config_top.html#enetphy_link_manual_half_duplex", null ],
          [ "Full-Duplex Mode", "enetphy_link_config_top.html#enetphy_link_manual_full_duplex", null ]
        ] ],
        [ "Auto-Negotiation Mode", "enetphy_link_config_top.html#enetphy_link_autoneg", null ],
        [ "Strapping", "enetphy_link_config_top.html#enetphy_link_strapping", null ]
      ] ]
    ] ],
    [ "Modules", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"enet_integration_guide_top.html",
"group__BOARD__LIB__DEVICES__FPD__DS90UB924__TYPES.html#ga1b846948e5f2e1b5315a2ca379c2407b",
"group__BOARD__LIB__DEVICES__FPD__DS90UB941__APIS.html#ga570a924ef2340cf0aa72f48398a576f3",
"group__BOARD__LIB__DEVICES__FPD__DS90UB941__TYPES.html#gafd42c0008f4a02756b813801831f71fb",
"group__BOARD__LIB__DEVICES__POWER__TPS65941__TYPES.html#ga54ac927b767f4f03d0f22f70e7dc58f3",
"group__BOARD__LIB__DEVICES__POWER__TPS65941__TYPES.html#gac94a7822748b4e4a3009f121e1e58d2c",
"group__BOARD__LIB__MODULE__TYPES.html#ga63c12ca5f1f86bc7db0d2cf1bde46abc",
"group__CPSW__CPTS__MOD.html#ggab788726fe114cfc32a32011edfa724ffaab969a908e16f3e423fc6e0b9011f178",
"group__CSL__CPSWITCH__DATASTRUCT.html#ggad987af759b15f05dcc728a28b78775b9ad8d93a4ce369fecbff0ddab5292a88e1",
"group__CSL__CPSWITCH__FUNCTION.html#gaf8b64c241ff5590a81dcc3bd59af8f95",
"group__CSL__DSSVIDEOPIPE.html#gab90746bec79505e7a733d0f2bd72f5c4",
"group__CSL__UDMAP__CPPI5__DATASTRUCT.html#ga72d60096255cad47c999dc6f063b532a",
"group__CSL__UDMAP__ENUM.html#gaebae00759ee5cc3c506d11628804b75f",
"group__DRV__ENETPHY.html#ggaf3c210740d0f86ebaee58dafeaf00ae7a02f5a5b3b648672eb701836b70dad407",
"group__DRV__I2C__API__MODULE.html#ga11c31c9869ed2441789205d9e5967d66",
"group__DRV__MMCSD__MODULE.html#gafbc4d7b1b107d97c08bef2acf461de80",
"group__DRV__OSAL__Queue.html#ga9c07c2f85839bf3649b5905accdb018a",
"group__DRV__UART__API__MODULE.html#ggac70b5aa75500b8c45a51ec560deccfc4a5405c8d842bffa2f76999eef9cee32c3",
"group__DRV__UDMA__RING__MODULE.html#ga7baf6f89898cdf0cfcd7f729541dbc94",
"group__ENET__MAIN__API.html#gad5f535fb856684a5b7af5022c9c12708",
"group__ENET__PKTUTILS__API.html#gga30f90c6928be4f131c2bac9826fa7324aa664555aff0776e2179a21e0793b2766",
"group__SCICLIENT__FMW__RM__IF.html#ga455a59b4d8277cbfacfe625ed04c7d61",
"group__tisci__protocol.html#ga015c9f5c1a4a786e311079c4f1857fba",
"group__tisci__rm__udmap.html#gad2708e91f50ed8f7d12295c7c6c7f823",
"structCSL__CPSW__ALE__VLANMCASTADDR__ENTRY.html#afb06af178bea7dc41d9945d91f9f7733",
"structCSL__CPSW__TSCONFIG.html#a8a1bc76480c89675cd25d738da359a01",
"structCSL__UdmapCppi5Epi.html",
"structCpswAle__PolicerMatchParams.html#a2dc91807b9a5f43ef9d77a73164077e0",
"structCpswStats__HostPort__2g.html#a6c20f49610b191e4b61083da08e2fdc4",
"structCpsw__InterVlanRouteIngressPktMatchCfg.html#a20bbd3b54c4578836bd34005543de44e",
"structEnetMdio__C22WriteInArgs.html#aab170bb9e6625230f4394057d6537301",
"structEnetUdma__PktInfo.html#adaa26969eda7fdcd6c08a664ad400e07",
"structIcssgStats__Pa.html#a6c87260d79007c27897d609539305fe2",
"structMcasp__HwSetupData.html",
"structUdma__ChObj.html#a476222356b65869841b8ceb2d1028000",
"structUdma__RingMonData.html",
"structtisci__msg__board__config__rm__req.html#ac25383040279d0774ada587da58c956c",
"structtisci__msg__query__freq__resp.html#a160aa0e84856c6a82938b8b3f8f22159",
"structtisci__msg__security__handover__resp.html#a9af3235125a479b750efc14c93d8c026"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';